New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix error from incorrect use of versions: field in dub.json. #26

Closed
wants to merge 1 commit into
base: master
from

Conversation

Projects
None yet
2 participants
@mdparker

mdparker commented Feb 22, 2015

The "versions" field in dub.json takes whatever you give it and passes it to the compiler as a parameter to -version. It has nothing to do with specifying a version of Dgame -- that's what git tags are for. So "versions" ["0.4.0"] was causing dub to pass -version=0.4.0 to DMD. Since DMD does not accept floating point numbers as version levels, compilation errored out with:

Error: unrecognized switch '-version=0.4.0'

This PR removes that line and eliminates the error.

@mdparker

This comment has been minimized.

mdparker commented Feb 22, 2015

Ah, I should have looked at the existing PRs first. Sorry for the noise.

@mdparker mdparker closed this Feb 22, 2015

@Dgame

This comment has been minimized.

Owner

Dgame commented Feb 22, 2015

No problem and thanks for your effort.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment